package CustomFields::CheckRelease;

use strict;
use warnings;

use MT;
use MT::App::CMS;
use CustomFields::Util qw( _get_html );
use CheckRelease::Util qw( get_config_value get_permissions );

sub field_html {
	my $plugin = MT->component('CheckRelease');
	my $permissions = get_permissions();
	
	my $app = MT::App::CMS->instance;
	my $user = $app->user;
	my $is_editor = 0;
	foreach ( @$permissions ) {
		if ( $user->has_perm($_) ) {
			$is_editor = 1;
			last;
		}
	}
	my $html = '';
	if ( $is_editor ) {
		my $customfield = $app->registry('customfield_types');
    	$html = $customfield->{textarea}->{field_html}->{default};
    } else {
    	$html = q{<mt:var name="field_value" escape="html" /><input type="hidden" name="<mt:var name="field_name" escape="html" />" value="<mt:var name="field_value" escape="html" />" />}
    }
    $html;
}

1;

